# Initiate MFA Challenge
URL: /docs/api-reference/multi-factor-authentication-mfa/initiateMfaChallenge

## POST `/api/v1/public/mfa/challenge`

**Summary:** Initiate MFA Challenge
**Operation ID:** `initiateMfaChallenge`

Generates a security challenge and dispatches verification challenge code over the configured channel (SMS, WhatsApp, or auto-failover).

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Request Body (`application/json`)

```json
{
  "type": "object",
  "required": [
    "phoneNumber"
  ],
  "properties": {
    "phoneNumber": {
      "type": "string",
      "example": "+233241234567"
    },
    "workflowId": {
      "type": "string",
      "example": "wf-84910-b2c3"
    },
    "action": {
      "type": "string",
      "example": "PAYMENT_CONFIRMATION"
    },
    "senderId": {
      "type": "string",
      "example": "AUTH"
    }
  }
}
```

### Responses

- **`200`**: MFA challenge initiated

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "$ref": "#/components/schemas/MfaChallengeResponse"
    }
  }
}
```
- **`401`**: Authentication failed or API key missing